Imagen de jorge_sat5129215
+1
+1
-1

…. y ya has solucionado el problema.

Pero bien, si alguien se encuentra en la misma situación mirar el post "sun-java6-jre no está disponible ..."

http://www.ubuntu-es.org/node/165246#.ULoQdKrWD3z

y hacer lo que pone el comentario: "No existen mas"

para así instalar el paquete de java que falta para que arranque Eclipse (supongo que si aparece este problema se trata de la versión Ubuntu 12.04 o de la sucesiva).

Otra forma de decirlo sería:

1° abrir el terminal
2° sudo su
3° apt-get install openjdk-6-jre icedtea-6-jre-cacao default-jre default-jre-headless openjdk-6-jre-lib openjdk-6-jre-headless

cuando termine el proceso abrir Eclipse y ya no saldrá el mensaje de error

Saludos

+1
+1
-1